# The MongoDB\BSON\ObjectIdInterface interface

(mongodb >=1.3.0)

## Introduction

This interface is implemented by MongoDB\BSON\ObjectId but may also be used for type-hinting and userland classes.

## Class synopsis

MongoDB\BSON\ObjectIdInterface {
/* Methods */
abstract public getTimestamp ( void ) : int
abstract public __toString ( void ) : string
}

## Table of Contents

- MongoDB\BSON\ObjectIdInterface::getTimestamp — Returns the timestamp component of this ObjectIdInterface
- MongoDB\BSON\ObjectIdInterface::__toString — Returns the hexidecimal representation of this ObjectIdInterface